package com.milaboratory;

import cc.redberry.pipe.OutputPort;
import com.milaboratory.core.sequencing.io.fastq.SFastqReader;
import com.milaboratory.core.sequencing.io.fastq.quality.QualityStringFormat;
import com.milaboratory.core.sequencing.read.SSequencingRead;
import com.milaboratory.util.CompressionType;

import java.io.IOException;

public class MiStatic {
    static OutputPort<SSequencingRead> fastq(String fileName) throws IOException {
        CompressionType ct = CompressionType.None;
        if (fileName.endsWith(".gz"))
            ct = CompressionType.GZIP;
        if (fileName.endsWith(".bz2"))
            ct = CompressionType.BZIP2;
        return new SFastqReader(fileName, QualityStringFormat.Illumina18u, ct);
    }
}
